%define upstream_name    WWW-Mediawiki-Client
%define upstream_version 0.31

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 14

Summary:        Simple cvs-like interface for Mediawiki driven WikiWiki websites
License:        Artistic
Group:          Development/Perl
URL:            https://metacpan.org/release/%{upstream_name}
Source0:        https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(HTTP::Cookies)
BuildRequires:  perl(HTML::TokeParser)
BuildRequires:  perl(Test::Differences)
BuildRequires:  perl-libwww-perl
BuildRequires:  perl(VCS::Lite)
BuildRequires:  perl(Exception::Class)
BuildRequires:  perl(XML::LibXML) 
BuildArch:      noarch


%description
WWW::Mediawiki::Client provides a very simple cvs-like interface for
Mediawiki driven WikiWiki websites, such as https://www.wikitravel.org or
https://www.wikipedia.org.  The interface mimics the two most basic cvs
commands: update and commit with similarly named methods.  Each of these has a
shorter alias, as in cvs.  Verbosity is controlled through an output_level
accessor method.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build 

%check
%{__make} test

%install
%make_install

%files 
%doc ChangeLog README TODO
%{_bindir}/*
%{_mandir}/*/*
%{perl_vendorlib}/WWW


%changelog
* Mon Mar 28 2022 umeabot <umeabot> 0.310.0-14.mga9
+ Revision: 1830869
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.310.0-13.mga8
+ Revision: 1506957
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 0.310.0-12.mga7
+ Revision: 1287279
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.310.0-11.mga7
+ Revision: 1167378
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.310.0-10.mga7
+ Revision: 1160988
- add BR on perl(HTTP::Cookies)
- add BR on perl(HTML::TokeParser)

* Sun Jun 19 2016 pterjan <pterjan> 0.310.0-8.mga6
+ Revision: 1035780
- Rebuild for perl 5.22.2

* Thu Feb 04 2016 umeabot <umeabot> 0.310.0-7.mga6
+ Revision: 935221
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.310.0-6.mga5
+ Revision: 750148
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.310.0-5.mga5
+ Revision: 686850
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.310.0-4.mga4
+ Revision: 515913
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.310.0-3.mga3
+ Revision: 374756
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.310.0-2.mga1
+ Revision: 36887
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 0.310.0-1.mga1
+ Revision: 34957
- fix filename in %%doc
- imported package perl-WWW-Mediawiki-Client


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.310.0-1mdv2010.0
+ Revision: 401914
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.31-4mdv2009.0
+ Revision: 242157
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.31-2mdv2008.0
+ Revision: 87076
- rebuild


* Fri Aug 04 2006 guillomovitch
+ 2006-08-04 13:52:07 (51750)
- ooops

* Fri Aug 04 2006 guillomovitch
+ 2006-08-04 13:44:32 (51748)
- New version
- spec cleanup
- drop patch, seems uneeded now
- clean buildroot before install

* Thu Aug 03 2006 Nicolas Lécureuil <neoclust@mandriva.org>
+ 2006-08-03 15:05:32 (43249)
- import perl-WWW-Mediawiki-Client-0.28-1mdk

* Tue May 16 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.28-1mdk
- 0.28 
- Fix Source URL
- Add  patch1 see http://wikitravel.org/en/User_talk:Mark/WWW-Mediawiki-Client#Extra_Linefeeds
	Thank Brouard Nicolas for his big help

* Thu Dec 22 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.27-3mdk
- Fix BuildRequires

* Sat Nov 05 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.27-2mdk
- Fix BuildRequires

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.27-1mdk
- 0.27

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.25-3mdk
- fix url

* Thu Sep 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.25-2mdk
- Fix BuildRequires

* Thu Apr 28 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.25-1mdk
- initial build

